OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.AMD.MultiDrawIndirect

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetAMDMultiDrawIndirect :: MonadIO m => m Bool
- gl_AMD_multi_draw_indirect :: Bool
- glMultiDrawArraysIndirectAMD :: MonadIO m => GLenum -> Ptr a -> GLsizei -> GLsizei -> m ()
- glMultiDrawElementsIndirectAMD :: MonadIO m => GLenum -> GLenum -> Ptr a -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetAMDMultiDrawIndirect :: MonadIO m => m Bool

Is the AMD_multi_draw_indirect extension supported?

gl_AMD_multi_draw_indirect :: Bool

Is the AMD_multi_draw_indirect extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDMultiDrawIndirect` in those cases instead.

# Functions

glMultiDrawArraysIndirectAMD

Arguments

:: MonadIO m |
=> GLenum | `mode`.
-> Ptr a | `indirect`.
-> GLsizei | `primcount`.
-> GLsizei | `stride`.
-> m () |

This command is an alias for `glMultiDrawArraysIndirect`.

glMultiDrawElementsIndirectAMD

Arguments

:: MonadIO m |
=> GLenum | `mode`.
-> GLenum | `type`.
-> Ptr a | `indirect`.
-> GLsizei | `primcount`.
-> GLsizei | `stride`.
-> m () |

This command is an alias for `glMultiDrawElementsIndirect`.